__doc__="""ZWikiPage product"""
__version__='$Revision: 0.6 $'[11:-2]

import ZWikiPage
from ImageFile import ImageFile

classes=('ZWikiPage.ZWikiPage',)

meta_types=	{'name':'ZWiki Page',
		 'action':'manage_addZWikiPageForm'
		 },

methods={
    'manage_addZWikiPageForm':
    ZWikiPage.manage_addZWikiPageForm,
    'manage_addZWikiPage':
    ZWikiPage.manage_addZWikiPage,
# correct ?? I don't want new appearing in folder menus though    
    'new':
    ZWikiPage.ZWikiPage.new,
    }

misc_={'ZWikiPage_icon': ImageFile('ZWikiPage_icon.gif', globals()),
       }

__ac_permissions__=(
    ('Add ZWiki Pages', ('new', 'manage_addZWikiPageForm', 'manage_addZWikiPage')), 
    ('Change ZWiki Pages', ()), 
    # --- geoffg's managed_mode additions (approve and manage)
    ('Approve ZWiki Pages', ()),
    ('Manage ZWiki Pages', ()),
    # end geoffg's managed_mode additions
    )
